## scsitools 0.3

=== scsidev/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# $Id: Makefile.in,v 1.9 2000/09/05 09:22:35 garloff Exp $
#
## Makefile for scsidev.

#### Start of system configuration section. ####

srcdir = .

CC = gcc

INSTALL = /usr/bin/ginstall -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

LIBS = 

VERSION = $(shell cat VERSION)

prefix = $(DESTDIR)/usr
exec_prefix = $(DESTDIR)

bindir = $(exec_prefix)/bin
docdir = $(prefix)/share/doc/packages

# Where to put the manual pages.
mandir = $(prefix)/share/man/man8
#mandir = $(prefix)/man/man8
# Extension (not including `.') for the manual page filenames.
manext = 8

#### End of system configuration section. ####
CFLAGS=-g -O2 -Wall -DVERSION=\"$(VERSION)\" # -g -DDEBUG

World: scsidev

scsidev: Makefile scsidev.c config.h
	${CC} ${CFLAGS} -o scsidev scsidev.c

Makefile: Makefile.in config.status
	CONFIG_FILES=Makefile CONFIG_HEADERS= $(SHELL) ./config.status

config.status: configure
	$(SHELL) config.status --recheck

configure:  configure.in
	cd $(srcdir) && autoconf

install: scsidev
	install -o root -g root -m 755 -s scsidev $(bindir)
	install -o root -g root -m 644 scsidev.8 $(mandir)
	gzip -9f $(mandir)/scsidev.8
	if [ ! -d $(DESTDIR)/dev/scsi ]; then mkdir $(DESTDIR)/dev/scsi; fi
	#install -d $(docdir)/scsidev
	#install COPYING boot.diff README scsi.alias $(docdir)/scsidev/

dist: clean
	rm Makefile
	(cd .. && mv scsidev scsidev-$(VERSION) && tar cvvf - \
	--exclude scsidev-$(VERSION)/CVS scsidev-$(VERSION) \
	| gzip -9 > scsidev-$(VERSION).tar.gz; mv scsidev-$(VERSION) scsidev)

clean:
	rm -f *~ .*~ *.o scsidev
	/bin/rm -f config.status config.log config.cache config.h
