=== debian/changelog ===
scsitools (0.12-6) unstable; urgency=medium

  * QA upload.

  [ Christoph Martin ]
  * Added gbp.conf
  * Added Vcs fields to debian/control

  [ Petter Reinholdtsen ]
  * Updated Standards-Version from 3.9.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Use set -e rather than passing -e on the shebang-line.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 0.1-1.
  * Converted debian/README.scsi-spin to UTF-8.
  * Replaced obsolete dependency on lsb-base with versioned sysvinit-utils dependency.
  * Adjusted build to pass CPPFLAGS and LDFLAGS for hardening.
  * Corrected debian branch in d/gbp.conf from master to debian/main.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 04 May 2024 21:09:10 +0200

scsitools (0.12-5) unstable; urgency=medium

  * QA upload.
  * Move binaries from /sbin to /sbin.
  * Stop installing sraw and obsolete kernel patches.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 26 Nov 2023 14:13:57 +0100

scsitools (0.12-4) unstable; urgency=medium

  * QA uplaod.
  * Stop installing severely outdated rescan-scsi-bus.sh, instead
    use the one from sg3-utils.
  * Remove remnants of alioth.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 05 Feb 2021 23:02:44 +0000

scsitools (0.12-3) unstable; urgency=medium

  * QA upload.
  * Orphan package, no maintainer activity in 5+ years.
  * Add debian/patches/udevadm-use-PATH.patch (Closes: #852578)
  * Add Recommends e2fsprogs (Closes: #887253)
    - possibly used by tk_scsiformat and also init scripts.
  * Bump to debhelper compat 9, since anything before is deprecated.
  * Drop manual quilt usage in debian/rules (and build-dep)
    - package already is using source format '3.0 (quilt)'.
  * Modernize/simplify debian/rules
    - use dh override_* style overrides.
    - use debian/clean, debian/manpages, debian/docs instead of command
      line overrides.
  * Fix 'in in' typo in debian/README.Debian as pointed out by lintian.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 17 Jan 2018 15:11:13 +0100

scsitools (0.12-2.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Henriksson ]
  * Add debian/scsitools.links to create symlinks masking the
    scsitools.sh and scsitools-pre.sh init scripts under systemd.
    - these scripts are likely not useful at all on modern systems.
    (Closes: #796687)
  * Add dh_link command to debian/rules for the above.
  * Demote tk to a Suggests instead of Recommends to avoid pulling in
    X11 when installing these otherwise low-level tools.
    - the tools should already handle and give useful help/output
      when run and tk/wish is missing.
  * Drop util-linux versioned dependency as the version are already
    new enough since ages and util-linux is Essential: yes anyway.
  * Source /lib/lsb/init-functions in init scripts to allow
    LSB hooks to work correctly.
  * Add lsb-base dependency for the above.

  [ Daniel Kahn Gillmor ]
  * Make postinst less brittle by accepting failure to create /dev/scsi/
    (Closes: #686881)
    - Note that this attempt to create /dev/scsi isn't going to persist on
      modern systems with a tmpfs mounted on /dev, so whatever is relying on
      that directory being there is going to need some other way to deal after
      a reboot anyway.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 25 Jun 2016 19:13:32 +0200

scsitools (0.12-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced tk8.4 by tk in dependencies to get rid of Tcl/Tk 8.4.
    (Closes: #725080)

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 28 Oct 2013 15:29:51 +0400

scsitools (0.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "rescan-scsi-bus call nonexistent usleep command":
    new patch rescan-scsi-bus_sleep.patch, based on suggestion from Ubuntu /
    Daniel T Chen: replace usleep with sleep.
    (Closes: #624441)

 -- gregor herrmann <gregoa@debian.org>  Wed, 07 Dec 2011 17:25:32 +0100

scsitools (0.12-2) unstable; urgency=low

  * Removed note displayed at install time (debconf abuse). Closes: #610233
  * (packaging source files are now hosted on Alioth).

 -- Eric Delaunay <delaunay@debian.org>  Wed, 19 Jan 2011 22:26:20 +0100

scsitools (0.12-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Updated rescan-scsi-bus.sh to 1.48. Closes: #559147
  * Removed .sh extension from rescan-scsi-bus. Closes: #601566
  * Now handling nostrip build option (policy 10.1). Closes: #438008
  * Get rid of some lintian warnings:
    - debian/templates description (malformed-title-in-templates).
    - scsitools.sh code cleanup (init.d-script-sourcing-without-test).

 -- Eric Delaunay <delaunay@debian.org>  Tue, 11 Jan 2011 23:09:16 +0100

scsitools (0.10-2.1) unstable; urgency=low

  * scsitools/scsiinfo: get rid of debugging message added by previous upload.
    Sorry.

 -- Eric Delaunay <delaunay@debian.org>  Sun, 01 Nov 2009 16:51:32 +0000

scsitools (0.10-2) unstable; urgency=low

  * rescan-scsi-bus.sh: fixed lots of errors when scanning host with no devices
    connected. Thanks to Andreas Beckmann for the patch. Closes: #502542
  * scsitools: scsiinfo -l now shows drives beyond sdz. Closes: #551962

 -- Eric Delaunay <delaunay@debian.org>  Sun, 01 Nov 2009 16:51:32 +0000

scsitools (0.10-1.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Galician. Closes: #482134
    - Basque. Closes: #495039

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Aug 2008 09:58:32 +0200

scsitools (0.10-1.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal issues.
  * Add LSB dependency header to init.d scripts (Closes: #458649)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Mar 2008 10:53:29 +0100

scsitools (0.10-1) unstable; urgency=low


