=== debian/control ===
Source: scsitools
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0.
Build-Depends: debhelper-compat (= 13),
               tk,
Vcs-Git: https://salsa.debian.org/debian/scsitools.git
Vcs-Browser: https://salsa.debian.org/debian/scsitools

Package: scsitools
Architecture: any
Depends: sysvinit-utils (>= 3.05-4~),
         sg3-utils (>= 1.24), ${misc:Depends}, ${shlibs:Depends}
Recommends: e2fsprogs
Conflicts: hwtools (<< 0.6)
Suggests: tk
Description: Collection of tools for SCSI hardware management
 This package is a collection of tools for manipulating SCSI hardware:
 .
  scsiinfo: displays SCSI drive low-level information and modifies SCSI
            drive settings,
  scsidev: makes permanent SCSI LUN -> devicename connections,
  scsifmt: low-level SCSI formatter,
  sraw: benchmarks raw SCSI I/O rates bypassing the buffer cache,
  scsi-spin: program to manually spin up and down a SCSI device.
 .
 Beware that, to be used properly, these tools require some knowledge of
 what they're doing as they can cause damage to your system.
