=== debian/rules ===
#!/usr/bin/make -f
# Derived from debhelper/dh_make example, and Cristoph Lameter's file. -joy

#export DH_VERBOSE=1
CFLAGS = -g -O2 -Wall -fsigned-char

#architecture := $(shell dpkg-architecture -qDEB_HOST_ARCH)
p = scsitools

%:
	dh $@

override_dh_auto_build:
	cd scsiinfo && $(MAKE) KERNEL_INCLUDES="-fsigned-char" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
	cd scsidev && CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr \
          --mandir='${prefix}'/share/man && $(MAKE)
	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o scsi-spin debian/scsi-spin.c
	#dh_auto_build

override_dh_auto_clean:
	for i in scsiinfo scsidev ; do $(MAKE) -C $$i clean || true ; done
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	install -m 755 -p debian/scsitools-pre.sh debian/$(p)/etc/init.d/
	install -m 755 -p debian/scsitools.sh debian/$(p)/etc/init.d/
	cd scsiinfo && $(MAKE) install DESTDIR=../debian/$(p)
	mv debian/$(p)/sbin/scsiinfo debian/$(p)/usr/sbin
	install -m 755 scsidev/scsidev debian/$(p)/usr/sbin
	#install -m 755 scsidev/scsidevfs.so debian/$(p)/lib
	#install -m 644 scsidev/devfsd.conf debian/$(p)/etc/devfs/conf.d/scsitools
	install -m 755 scsi-spin debian/$(p)/usr/sbin
	install -m 644 debian/lintian-overrides debian/$(p)/usr/share/lintian/overrides/scsitools
	rmdir debian/$(p)/sbin
	# Documentation
	cp -a scsiinfo/0-TODO debian/$(p)/usr/share/doc/scsitools/TODO.scsiinfo
	cp -a scsiinfo/0-CHANGES debian/$(p)/usr/share/doc/scsitools/CHANGES.scsiinfo
	cp -a scsiinfo/0-README.first debian/$(p)/usr/share/doc/scsitools/README.scsiinfo
	cp -a scsidev/README debian/$(p)/usr/share/doc/scsitools/README.scsidev
	awk '/#include/ {exit};{print}' scsidev/scsidev.c > debian/$(p)/usr/share/doc/scsitools/CHANGES.scsidev
	ln -s CHANGES.scsidev debian/$(p)/usr/share/doc/scsitools/changelog
	cp -a debian/README.scsi-spin debian/$(p)/usr/share/doc/scsitools/README.scsi-spin
