=== debian/watch ===
version=3
# Monitor updates to scsidev > 2.37
opts="uversionmangle=s/1\..*/0.12/;s/2\.[0-2].*/0.12/;s/2\.3[0-7].*/0.12/" \
  http://www.garloff.de/kurt/linux/scsidev/scsidev-(.*).tar.gz
