=== debian/changelog ===
scsitools (0.13) unstable; urgency=medium

  * QA upload.

  [ Alexandre Detiste ]
  * remove useless debian/README.source, quilt is the default

  [ Chris Hofstaedtler ]
  * Drop scsidev, does not build with gcc-15 and is not needed with udev
    (Closes: #1097863)
  * Drop rescan-scsi-bus sources
  * Stop pretending we have an upstream, apply all patches and switch to
    Debian native source format.
  * Fix Standards-Version.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 22 Sep 2025 18:42:09 +0200
