=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.7.0.
+Standards-Version: 4.7.2.0
 Build-Depends: debhelper-compat (= 13),
                tk,
 Vcs-Git: https://salsa.debian.org/debian/scsitools.git
@@ -20,7 +20,6 @@
  .
   scsiinfo: displays SCSI drive low-level information and modifies SCSI
             drive settings,
-  scsidev: makes permanent SCSI LUN -> devicename connections,
   scsifmt: low-level SCSI formatter,
   sraw: benchmarks raw SCSI I/O rates bypassing the buffer cache,
   scsi-spin: program to manually spin up and down a SCSI device.
