## scsitools 0.14

=== debian/changelog ===
scsitools (0.14) unstable; urgency=medium

  * QA upload.

  [ Chris Hofstaedtler ]
  * Complete sraw removal
  * Complete scsifmt removal
  * Complete scsistop removal
  * Remove patch for kernel 2.2.14
  * Remove unnecessary dirs from debian/dirs

  [ Helmut Grohne ]
  * Fix FTCBFS.
    Let dh_auto_* pass cross flags along.
    Use host CC from buildtools.mk. (Closes: #888037)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 27 Sep 2025 01:36:11 +0200
