=== debian/control ===
--- 
+++ 
@@ -20,8 +20,6 @@
  .
   scsiinfo: displays SCSI drive low-level information and modifies SCSI
             drive settings,
-  scsifmt: low-level SCSI formatter,
-  sraw: benchmarks raw SCSI I/O rates bypassing the buffer cache,
   scsi-spin: program to manually spin up and down a SCSI device.
  .
  Beware that, to be used properly, these tools require some knowledge of
