## scsitools 0.15

=== debian/changelog ===
scsitools (0.15) unstable; urgency=medium

  * Build-Depend: dpkg-build-api (= 1) for buildtools.mk
    As noted by Helmut Grohne.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 02 Oct 2025 11:36:19 +0200
