=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 4.7.2.0
 Build-Depends: debhelper-compat (= 13),
+               dpkg-build-api (= 1),
                tk,
 Vcs-Git: https://salsa.debian.org/debian/scsitools.git
 Vcs-Browser: https://salsa.debian.org/debian/scsitools
