=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Derived from debhelper/dh_make example, and Cristoph Lameter's file. -joy
 
 #export DH_VERBOSE=1
-CFLAGS = -g -O2 -Wall -fsigned-char
+include /usr/share/dpkg/default.mk
 
 #architecture := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 p = scsitools
@@ -11,9 +11,9 @@
 	dh $@
 
 override_dh_auto_build:
-	cd scsiinfo && $(MAKE) KERNEL_INCLUDES="-fsigned-char" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
-	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o scsi-spin debian/scsi-spin.c
-	#dh_auto_build
+	dh_auto_build --buildsystem=makefile --builddirectory=scsiinfo -- \
+		KERNEL_INCLUDES="-fsigned-char" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o scsi-spin debian/scsi-spin.c
 
 override_dh_auto_clean:
 	for i in scsiinfo ; do $(MAKE) -C $$i clean || true ; done
